RINDEX(3) | NetBSD Library Functions Manual | RINDEX(3)

# NAME

rindex — locate character in string

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <strings.h>

char *
rindex(const char *s, int c);

# DESCRIPTION

The rindex() function locates the last character matching c (converted to a char) in the nul-terminated string s.

# RETURN VALUES

A pointer to the character is returned if it is found; otherwise NULL is returned. If c is ‘\0', rindex() locates the terminating ‘\0'.

# SEE ALSO

index(3), memchr(3), strchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

# STANDARDS

The rindex() function conforms to IEEE Std 1003.1-2001 (“POSIX.1”). The IEEE Std 1003.1-2004 (“POSIX.1”) revision marked it as legacy and recommended the use of strrchr(3) instead. The IEEE Std 1003.1-2008 (“POSIX.1”) revision removed rindex() from the specification.

# HISTORY

A rindex() function appeared in Version 6 AT&T UNIX.

April 29, 2010 | NetBSD 5.99